%define toolbox_release 1

%if 0%{?ibmi_version} < 72
%define aix_version 6.1
%else
%define aix_version 7.1
%endif

Name: gcc
Version: 6.3.0
Release: 15
Group: Development/Tools
License: GPLv3
URL: http://gcc.gnu.org/
Summary: GNU Compiler Collection

BuildRequires: cpio-gnu
BuildRequires: ibm-build-tools

# These are needed to ensure the automatic dependency resolution works
BuildRequires: lib:/QOpenSys/pkgs/lib/libgmp.a(libgmp.so.10)(ppc)
BuildRequires: lib:/QOpenSys/pkgs/lib/libmpfr.a(libmpfr.so.4)(ppc)
BuildRequires: lib:/QOpenSys/pkgs/lib/libmpc.a(libmpc.so.3)(ppc)

Source0: https://public.dhe.ibm.com/aix/freeSoftware/aixtoolbox/RPMS/ppc-%{aix_version}/gcc/gcc-%{version}-%{toolbox_release}.aix%{aix_version}.ppc.rpm
Source1: https://public.dhe.ibm.com/aix/freeSoftware/aixtoolbox/RPMS/ppc-%{aix_version}/gcc/gcc-cplusplus-%{version}-%{toolbox_release}.aix%{aix_version}.ppc.rpm
Source2: https://public.dhe.ibm.com/aix/freeSoftware/aixtoolbox/RPMS/ppc-%{aix_version}/gcc/gcc-cpp-%{version}-%{toolbox_release}.aix%{aix_version}.ppc.rpm
Source3: https://public.dhe.ibm.com/aix/freeSoftware/aixtoolbox/RPMS/ppc-%{aix_version}/gcc/gcc-gfortran-%{version}-%{toolbox_release}.aix%{aix_version}.ppc.rpm
Source4: https://public.dhe.ibm.com/aix/freeSoftware/aixtoolbox/RPMS/ppc-%{aix_version}/gcc/libstdcplusplus-%{version}-%{toolbox_release}.aix%{aix_version}.ppc.rpm
Source5: https://public.dhe.ibm.com/aix/freeSoftware/aixtoolbox/RPMS/ppc-%{aix_version}/gcc/libstdcplusplus-devel-%{version}-%{toolbox_release}.aix%{aix_version}.ppc.rpm
Source6: https://public.dhe.ibm.com/aix/freeSoftware/aixtoolbox/RPMS/ppc-%{aix_version}/gcc/libgcc-%{version}-%{toolbox_release}.aix%{aix_version}.ppc.rpm
Source7: https://public.dhe.ibm.com/aix/freeSoftware/aixtoolbox/RPMS/ppc-%{aix_version}/gcc/libgomp-%{version}-%{toolbox_release}.aix%{aix_version}.ppc.rpm

NoSource: 0
NoSource: 1
NoSource: 2
NoSource: 3
NoSource: 4
NoSource: 5
NoSource: 6
NoSource: 7


Source10: gcc-%{version}-specs

%if 0%{?ibmi_version} < 72
Source99: https://public.dhe.ibm.com/aix/freeSoftware/aixtoolbox/RPMS/ppc-7.1/gcc/gcc-%{version}-%{toolbox_release}.aix7.1.ppc.rpm
NoSource: 99
%endif


%description
The gcc package contains the GNU Compiler Collection version %{version}.
You'll need this package in order to compile C code.

%package -n gcc-aix
Summary: GNU Compiler Collection
BuildArch: fat

Requires: %{_libdir}/libgcc_s.so.1
Requires: %{_libdir}/libatomic.so.1

Requires: gcc-cpp-aix = %{version}

Provides: gcc = %{version}


%description -n gcc-aix
The gcc package contains the GNU Compiler Collection version %{version}.
You'll need this package in order to compile C code.

%package -n gcc-cpp-aix
Summary: The C Preprocessor
BuildArch: fat

%description -n gcc-cpp-aix
Cpp is the GNU C-Compatible Compiler Preprocessor.
Cpp is a macro processor which is used automatically
by the C compiler to transform your program before actual
compilation. It is called a macro processor because it allows
you to define macros, abbreviations for longer
constructs.

The C preprocessor provides four separate functionalities: the
inclusion of header files (files of declarations that can be
substituted into your program); macro expansion (you can define macros,
and the C preprocessor will replace the macros with their definitions
throughout the program); conditional compilation (using special
preprocessing directives, you can include or exclude parts of the
program according to various conditions); and line control (if you use
a program to combine or rearrange source files into an intermediate
file which is then compiled, you can use line control to inform the
compiler about where each source line originated).

You should install this package if you are a C programmer and you use
macros.

%package -n gcc-cplusplus-aix
Summary: C++ support for GCC
BuildArch: fat

Requires: gcc = %{version}

%description -n gcc-cplusplus-aix
This package adds C++ support to the GNU Compiler Collection.
It includes support for most of the current C++ specification,
including templates and exception handling.

%package -n gcc-gfortran-aix
Summary: Fortran 95 support
BuildArch: fat
Requires: gcc = %{version}

%description -n gcc-gfortran-aix
The gcc-gfortran package provides support for compiling Fortran 95
programs with the GNU Compiler Collection.

%package -n libgcc_s1
Summary: GCC support library

%description -n libgcc_s1
Provides libgcc_s.so.1

%package -n libatomic1
Summary: GCC support library

%description -n libatomic1
Provides libatomic.so.1

%package -n libstdcplusplus6
Summary: GNU Standard C++ Library

%description -n libstdcplusplus6
The libstdc++ package contains a rewritten standard compliant GCC Standard
C++ Library.

%package -n libstdcplusplus-devel
Summary: Development files for libstdc++6
Requires: libstdcplusplus6 = %{version}

%description -n libstdcplusplus-devel
Development files for libstdc++6

%package -n libgfortran3
Summary: GNU Fortran libraries

%description -n libgfortran3
GNU Fortran libraries

%package -n libgomp1
Summary: GNU OpenMP library

%description -n libgomp1
The libgomp library provides OpenMP support for GCC.

%package -n libgomp-devel
Summary: Development files for GNU OpenMP
Requires: libgomp1 = %{version}

%description -n libgomp-devel
Development files for GNU OpenMP

## TODO: These should be removed in a real GCC build

%package -n libgcc-aix
Summary: AIX Toolbox GCC compatibility libraries
BuildArch: fat

%description -n libgcc-aix
Provides libgcc_s.a and libatomic.a

%package -n libstdcplusplus-aix
Summary: AIX Toolbox C++ compatibility libraries
BuildArch: fat

%description -n libstdcplusplus-aix
Provides libstdc++.a



%install
mkdir -p %{buildroot}%{_prefix}

cd %{buildroot}

# Need to do this first or we overwrite the 6.1 version later
%if 0%{?ibmi_version} < 72
rpm2cpio %{SOURCE99} | cpio -idmv
%endif

rpm2cpio %{SOURCE0} | cpio -idmvu # Note the u to replace files unconditionally
rpm2cpio %{SOURCE1} | cpio -idmv
rpm2cpio %{SOURCE2} | cpio -idmv
rpm2cpio %{SOURCE3} | cpio -idmv
rpm2cpio %{SOURCE4} | cpio -idmv
rpm2cpio %{SOURCE5} | cpio -idmv
rpm2cpio %{SOURCE6} | cpio -idmv
rpm2cpio %{SOURCE7} | cpio -idmv


mv %{buildroot}/opt/freeware/* %{buildroot}%{_prefix}
rm -r %{buildroot}/usr %{buildroot}/opt

%if 0%{?ibmi_version} < 72
# Fix up PASE 7.1 doesn't have these errno values defined
perl -p -i -e 's|#define _GLIBCXX_HAVE_ENOTRECOVERABLE 1|/* undef _GLIBCXX_HAVE_ENOTRECOVERABLE */|' \
  %{buildroot}%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include/c++/powerpc-ibm-aix%{aix_version}.0.0/bits/c++config.h \
  %{buildroot}%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include/c++/powerpc-ibm-aix%{aix_version}.0.0/ppc64/bits/c++config.h \
  %{buildroot}%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include/c++/powerpc-ibm-aix%{aix_version}.0.0/pthread/bits/c++config.h \
  %{buildroot}%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include/c++/powerpc-ibm-aix%{aix_version}.0.0/pthread/ppc64/bits/c++config.h

perl -p -i -e 's|#define _GLIBCXX_HAVE_EOWNERDEAD 1|/* undef _GLIBCXX_HAVE_EOWNERDEAD */|' \
  %{buildroot}%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include/c++/powerpc-ibm-aix%{aix_version}.0.0/bits/c++config.h \
  %{buildroot}%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include/c++/powerpc-ibm-aix%{aix_version}.0.0/ppc64/bits/c++config.h \
  %{buildroot}%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include/c++/powerpc-ibm-aix%{aix_version}.0.0/pthread/bits/c++config.h \
  %{buildroot}%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include/c++/powerpc-ibm-aix%{aix_version}.0.0/pthread/ppc64/bits/c++config.h
%endif


%if 0%{?ibmi_version} < 72
mv %{buildroot}%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed %{buildroot}%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-6.1
%endif

mv %{buildroot}%{_libdir}/gcc/powerpc-ibm-aix7.1.0.0/%{version}/include-fixed %{buildroot}%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-7.1

rm -r %{buildroot}%{_libdir}/gcc/powerpc-ibm-aix7.1.0.0 %{buildroot}%{_libexecdir}/gcc/powerpc-ibm-aix7.1.0.0


cd %{buildroot}%{_bindir}

# Remove the AIX-versioned binaries
rm powerpc-ibm-aix*

# Fix fortran binary name
mv gfortran f95
ln -s f95 gfortran

# Fix the binary LIBPATH and pass maix64 as appropriate
for f in gcc* cpp g++ f95
do
  fix-rpath $f /QOpenSys/usr/lib
  mv $f $f.bin
  
  cat <<EOF > $f
#!/QOpenSys/usr/bin/sh
if [ "\$OBJECT_MODE" = '32' ]
then
    exec %{_bindir}/$f.bin -maix32 "\$@"
else
    exec %{_bindir}/$f.bin -maix64 "\$@"
fi
EOF
  chmod +x $f
done

cd %{buildroot}/%{_libexecdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/install-tools
perl -p -i -e 's|#! */bin/sh|#!/QOpenSys/usr/bin/sh|' fixinc.sh fixincl mkheaders mkinstalldirs

ln -s libgcc_s.so.1 %{buildroot}/%{_libdir}/libgcc_s.so
ln -s libatomic.so.1 %{buildroot}/%{_libdir}/libatomic.so

cp %{SOURCE10} %{buildroot}%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/specs

mkdir -p `dirname %{buildroot}%{_mandir}`
mkdir -p `dirname %{buildroot}%{_infodir}`
mv %{buildroot}%{_prefix}/man %{buildroot}%{_mandir}
mv %{buildroot}%{_prefix}/info %{buildroot}%{_infodir}
rm -r %{buildroot}%{_prefix}/doc

cd %{buildroot}%{_libexecdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}

for f in cc1 cc1plus f951
do
    fix-rpath $f /QOpenSys/pkgs/lib:/QOpenSys/usr/lib
done

cd %{buildroot}/%{_libdir}

rm -r pthread ../lib64

mkdir 32 64
cd 32
    ar -X32 x %{buildroot}%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/pthread/libgcc_s.a
    fix-rpath shr.o %{_libdir}:/QOpenSys/usr/lib
    
    ar -X32 x %{buildroot}%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/pthread/libatomic.a
    fix-rpath libatomic.so.1 %{_libdir}:/QOpenSys/usr/lib
cd ../64
    ar -X64 x %{buildroot}%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/pthread/libgcc_s.a
    fix-rpath shr.o %{_libdir}:/QOpenSys/usr/lib
    
    ar -X64 x %{buildroot}%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/pthread/libatomic.a
    fix-rpath libatomic.so.1 %{_libdir}:/QOpenSys/usr/lib
cd ..

rm libatomic.a libgcc_s.a

cp 64/shr.o libgcc_s.so.1
svr4-shrlib libgcc_s.so.1 libgcc_s.so.1 ppc64

# mv libgcc_s.so.1 %{buildroot}%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}
# ln -s gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/libgcc_s.so.1 .

cp 64/libatomic.so.1 .
svr4-shrlib libatomic.so.1 libatomic.so.1 ppc64

# mv libatomic.so.1 %{buildroot}%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}
# ln -s gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/libatomic.so.1 .

strip -X32 -e 32/shr.o
strip -X64 -e 64/shr.o
ar -X32_64 crlo libgcc_s.a 32/shr.o 64/shr.o

strip -X32 -e 32/libatomic.so.1
strip -X64 -e 64/libatomic.so.1
ar -X32_64 crlo libatomic.a 32/libatomic.so.1 64/libatomic.so.1

rm -rf 32/* 64/*

cd 32
    ar -X32 x %{buildroot}%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/libstdc++.a
    fix-rpath libstdc++.so.6 %{_libdir}:/QOpenSys/usr/lib
cd ../64
    ar -X64 x %{buildroot}%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/libstdc++.a
    fix-rpath libstdc++.so.6 %{_libdir}:/QOpenSys/usr/lib
cd ..

rm libstdc++.a

cp 64/libstdc++.so.6 .
svr4-shrlib libstdc++.so.6 libstdc++.so.6 ppc64
ln -s libstdc++.so.6 libstdc++.so

# mv libstdc++.so.6 %{buildroot}%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}
# ln -s gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/libstdc++.so.6 .

strip -X32 -e 32/libstdc++.so.6
strip -X64 -e 64/libstdc++.so.6
ar -X32_64 crlo libstdc++.a 32/libstdc++.so.6 64/libstdc++.so.6


rm -rf 32/* 64/*

cd 32
#     ar -X32 x %{buildroot}%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/pthread/libgfortran.a
#     fix-rpath libgfortran.so.3 %{_libdir}:/QOpenSys/usr/lib
cd ../64
    ar -X64 x %{buildroot}%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/pthread/libgfortran.a
    fix-rpath libgfortran.so.3 %{_libdir}:/QOpenSys/usr/lib
cd ..

cp 64/libgfortran.so.3 .
svr4-shrlib libgfortran.so.3 libgfortran.so.3 ppc64
ln -s libgfortran.so.3 libgfortran.so

# mv libgfortran.so.3 %{buildroot}%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}
# ln -s gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/libgfortran.so.3 .

rm libgfortran.a

rm -rf 32/* 64/*

cd 32
#     ar -X32 x %{buildroot}%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/libgomp.a
#     fix-rpath libgomp.so.1 %{_libdir}:/QOpenSys/usr/lib
cd ../64
    ar -X64 x %{buildroot}%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/libgomp.a
    fix-rpath libgomp.so.1 %{_libdir}:/QOpenSys/usr/lib
cd ..

cp 64/libgomp.so.1 .
svr4-shrlib libgomp.so.1 libgomp.so.1 ppc64
ln -s libgomp.so.1 libgomp.so

# mv libgomp.so.1 %{buildroot}%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}
# ln -s gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/libgomp.so.1 .

rm libgomp.a

rm -rf 32 64

rm -r %{buildroot}%{_datadir}/gcc-%{version}/python

find %{buildroot}%{_libdir}/gcc -name \*.la | xargs rm

find %{buildroot}%{_libdir}/gcc -name libgcc_s.a | xargs rm
find %{buildroot}%{_libdir}/gcc -name libatomic.a | xargs rm
find %{buildroot}%{_libdir}/gcc -name libgfortran.a | xargs rm
find %{buildroot}%{_libdir}/gcc -name libstdc++.a | xargs rm
find %{buildroot}%{_libdir}/gcc -name libsupc++.a | xargs rm
find %{buildroot}%{_libdir}/gcc -name libgomp.a | xargs rm

%post
cd %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}

if [ -d include-fixed ]
then
    if ! rmdir include-fixed > /dev/null 2>&1
    then
        mv include-fixed include-fixed.bak
        echo "$PWD/include-fixed saved as include-fixed.bak" 1>&2
    fi
fi

case `uname -v``uname -r` in
  71) ln -sf include-fixed-6.1 include-fixed ;;
    
   *) ln -sf include-fixed-7.1 include-fixed ;;
esac
chown -h qsys include-fixed

%files -n gcc-aix
%defattr(-, qsys, *none)

%{_libdir}/libgcc_s.so
%{_libdir}/libatomic.so

%{_bindir}/gcc
%{_bindir}/gcc-ar
%{_bindir}/gcc-nm
%{_bindir}/gcc-ranlib

%{_bindir}/gcc.bin
%{_bindir}/gcc-ar.bin
%{_bindir}/gcc-nm.bin
%{_bindir}/gcc-ranlib.bin

%{_bindir}/gcov

%{_infodir}/gcc.info.gz
%{_infodir}/gccinstall.info.gz
%{_infodir}/gccint.info.gz

%dir %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}

%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/specs

%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/crtcxa.o
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/crtcxa_s.o

%ghost %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed

%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-6.1
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-6.1/README
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-6.1/assert.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-6.1/complex.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-6.1/ctype.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-6.1/curses.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-6.1/dbm.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-6.1/fcntl.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-6.1/langinfo.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-6.1/ldfcn.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-6.1/libmilter/mfapi.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-6.1/limits.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-6.1/locale.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-6.1/math.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-6.1/net/bpf.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-6.1/net/if_arp.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-6.1/netinet/if_802_5.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-6.1/rpc/svc.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-6.1/setjmp.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-6.1/stddef.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-6.1/stdint.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-6.1/stdio.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-6.1/stdlib.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-6.1/string.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-6.1/sys/dir.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-6.1/sys/localedef.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-6.1/sys/param.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-6.1/sys/signal.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-6.1/sys/socket.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-6.1/sys/times.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-6.1/sys/types.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-6.1/sys/wait.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-6.1/syslimits.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-6.1/time.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-6.1/unistd.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-6.1/wchar.h

%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-7.1
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-7.1/README
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-7.1/assert.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-7.1/complex.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-7.1/ctype.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-7.1/curses.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-7.1/dbm.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-7.1/fcntl.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-7.1/langinfo.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-7.1/ldfcn.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-7.1/libmilter/mfapi.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-7.1/limits.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-7.1/locale.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-7.1/math.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-7.1/net/bpf.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-7.1/net/if_arp.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-7.1/netinet/if_802_5.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-7.1/rpc/svc.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-7.1/setjmp.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-7.1/stddef.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-7.1/stdint.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-7.1/stdio.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-7.1/stdlib.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-7.1/string.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-7.1/sys/dir.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-7.1/sys/localedef.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-7.1/sys/param.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-7.1/sys/signal.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-7.1/sys/socket.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-7.1/sys/times.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-7.1/sys/types.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-7.1/sys/wait.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-7.1/syslimits.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-7.1/time.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-7.1/unistd.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include-fixed-7.1/wchar.h

%dir %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include/altivec.h
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include/float.h
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include/iso646.h
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include/omp.h
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include/openacc.h
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include/stdalign.h
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include/stdarg.h
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include/stdatomic.h
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include/stdbool.h
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include/stddef.h
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include/stdfix.h
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include/stdint-gcc.h
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include/stdint.h
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include/stdnoreturn.h
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include/tgmath.h
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include/unwind.h
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include/varargs.h

%dir %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include/objc
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include/objc/NXConstStr.h
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include/objc/Object.h
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include/objc/Protocol.h
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include/objc/message.h
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include/objc/objc-decls.h
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include/objc/objc-exception.h
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include/objc/objc-sync.h
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include/objc/objc.h
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include/objc/runtime.h
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include/objc/thr.h

%dir %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/install-tools
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/install-tools/fixinc_list
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/install-tools/gsyslimits.h
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/install-tools/include/README
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/install-tools/include/limits.h
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/install-tools/macro_list
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/install-tools/mkheaders.conf

%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/crtdbase.o
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/libgcc.a
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/libgcc_eh.a
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/libgcov.a
%dir %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/ppc64
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/ppc64/crtcxa.o
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/ppc64/crtcxa_s.o
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/ppc64/crtdbase.o
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/ppc64/libgcc.a
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/ppc64/libgcc_eh.a
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/ppc64/libgcov.a
%dir %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/pthread
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/pthread/crtcxa.o
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/pthread/crtcxa_s.o
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/pthread/crtdbase.o
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/pthread/libgcc.a
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/pthread/libgcc_eh.a
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/pthread/libgcov.a
%dir %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/pthread/ppc64
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/pthread/ppc64/crtcxa.o
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/pthread/ppc64/crtcxa_s.o
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/pthread/ppc64/crtdbase.o
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/pthread/ppc64/libgcc.a
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/pthread/ppc64/libgcc_eh.a
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/pthread/ppc64/libgcov.a

%{_libexecdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/collect2
%{_libexecdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/lto-wrapper

%dir %{_libexecdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/install-tools
%{_libexecdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/install-tools/fixinc.sh
%{_libexecdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/install-tools/fixincl
%{_libexecdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/install-tools/mkheaders
%{_libexecdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/install-tools/mkinstalldirs

%{_mandir}/man1/gcc.1
%{_mandir}/man1/gcov.1


%files -n gcc-cpp-aix
%defattr(-, qsys, *none)

%{_bindir}/cpp
%{_bindir}/cpp.bin

%dir %{_libexecdir}/gcc
%dir %{_libexecdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0
%dir %{_libexecdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}

%{_libexecdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/cc1

%{_infodir}/cpp.info.gz
%{_infodir}/cppinternals.info.gz

%{_mandir}/man1/cpp.1


%files -n gcc-cplusplus-aix
%defattr(-, qsys, *none)

%{_bindir}/c++
%{_bindir}/g++
%{_bindir}/g++.bin

%{_libexecdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/cc1plus

%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/libstdc++.a-gdb.py
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/ppc64/libstdc++.a-gdb.py
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/pthread/libstdc++.a-gdb.py
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/pthread/ppc64/libstdc++.a-gdb.py

%{_mandir}/man1/g++.1

%files -n gcc-gfortran-aix
%defattr(-, qsys, *none)

%{_libdir}/libgfortran.so

%{_bindir}/f95
%{_bindir}/f95.bin
%{_bindir}/gfortran

%{_infodir}/gfortran.info.gz

%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/finclude
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/finclude/ieee_arithmetic.mod
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/finclude/ieee_exceptions.mod
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/finclude/ieee_features.mod
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/finclude/omp_lib.f90
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/finclude/omp_lib.h
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/finclude/omp_lib.mod
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/finclude/omp_lib_kinds.mod
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/finclude/openacc.f90
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/finclude/openacc.mod
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/finclude/openacc_kinds.mod
# %{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/finclude/openacc_lib.h

%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/libcaf_single.a
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/libgfortran.spec
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/ppc64/libcaf_single.a
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/ppc64/libgfortran.spec
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/pthread/libcaf_single.a
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/pthread/libgfortran.spec
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/pthread/ppc64/libcaf_single.a
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/pthread/ppc64/libgfortran.spec
   

%{_libexecdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/f951

%{_mandir}/man1/gfortran.1






%files -n libgcc-aix
%defattr(-, qsys, *none)

%{_libdir}/libgcc_s.a
%{_libdir}/libatomic.a

%files -n libgcc_s1
%defattr(-, qsys, *none)

%{_libdir}/libgcc_s.so.1

%files -n libatomic1
%defattr(-, qsys, *none)

%{_libdir}/libatomic.so.1

%files -n libgfortran3
%defattr(-, qsys, *none)

%{_libdir}/libgfortran.so.3

%files -n libstdcplusplus-aix
%defattr(-, qsys, *none)

%{_libdir}/libstdc++.a

%files -n libstdcplusplus6
%defattr(-, qsys, *none)

%{_libdir}/libstdc++.so.6


%files -n libgomp1
%defattr(-, qsys, *none)

%{_libdir}/libgomp.so.1

%files -n libgomp-devel
%defattr(-, qsys, *none)

%{_libdir}/libgomp.so
%{_infodir}/libgomp.info*

%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/libgomp.spec
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/ppc64/libgomp.spec
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/pthread/libgomp.spec
%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/pthread/ppc64/libgomp.spec

%files -n libstdcplusplus-devel
%defattr(-, qsys, *none)

%{_libdir}/libstdc++.so

%{_libdir}/gcc/powerpc-ibm-aix%{aix_version}.0.0/%{version}/include/c++

# %{_docdir}/libstdc++-%{version}
